cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
755
Views
15
Helpful
7
Replies
Guillermo_PY
Beginner

UCCX update tomcat to the last version

Hello Team,

 

I have this server:

UCCX1

admin:show version active

Active Master Version: 12.5.1.10000-31

Active Version Installed Software Options:

uccx-language-pack_26-12.5.1.10000-22.cop

admin:

admin:show packages active tomcat

Active Side Package(s): for tomcat package(s)

platform-tomcat-1.0.0.0-1.i386

cm-tomcatstats-0.0.0.1-0.i386

tomcat-7.0.94-0.i386

 

I want to know if it is possible to update the tomcat version to the last available?

 

For example, I have CUCM with a different version:

CUCM1

admin:show version active

Active Master Version: 12.5.1.14900-63

Active Version Installed Software Options:

No Installed Software Options Found.

admin:

admin:show packages active tomcat

Active Side Package(s): for tomcat package(s)

tomcat-9.0.37-0.i386

platform-tomcat-1.0.0.0-1.i386

cm-tomcatstats-0.0.0.1-0.i386

cm-cmtomcat-1.1.0.0-1.i386

 

Regards

1 ACCEPTED SOLUTION

Accepted Solutions
jim-j
Beginner

You can't update individual packages (unless TAC happens to do that with an ES release).  You need to update all of UCCX.  FYI with UCCX 12.5.1 SU1 you do get a newer Tomcat version:

 

admin:show version active
Active Master Version: 12.5.1.11001-348
Active Version Installed Software Options:
No Installed Software Options Found.

admin:show packages active tomcat
Active Side Package(s): for tomcat package(s)
tomcat-7.0.100-0.i386
platform-tomcat-1.0.0.0-1.i386
cm-tomcatstats-0.0.0.1-0.i386

 

View solution in original post

7 REPLIES 7
jim-j
Beginner

You can't update individual packages (unless TAC happens to do that with an ES release).  You need to update all of UCCX.  FYI with UCCX 12.5.1 SU1 you do get a newer Tomcat version:

 

admin:show version active
Active Master Version: 12.5.1.11001-348
Active Version Installed Software Options:
No Installed Software Options Found.

admin:show packages active tomcat
Active Side Package(s): for tomcat package(s)
tomcat-7.0.100-0.i386
platform-tomcat-1.0.0.0-1.i386
cm-tomcatstats-0.0.0.1-0.i386

 

View solution in original post

Roger Kallberg
VIP Mentor

As @jim-j wrote you cannot update individual components in the system. You’ll need to upgrade the entire system.



Response Signature


Guillermo_PY
Beginner

hello  @jim-j

 

As you mention in the post, the last uccx version is 12.5.1 SU1 and it has a new tomcat version, but it still has a smaller version in comparison with CUCM.

 

Update to 12.5.1 SU1 is the only option?

 

Regards


@Guillermo_PY wrote:

hello  @jim-j

 

As you mention in the post, the last uccx version is 12.5.1 SU1 and it has a new tomcat version, but it still has a smaller version in comparison with CUCM.

 

Update to 12.5.1 SU1 is the only option?

 

Regards


Yes, upgrade to 12.5.1 SU1 is the only option.

For what reason would you think that all systems could have the same version of components?

There are an ES02 update also for this SU version. This would be the very latest version available right now.



Response Signature


Hello @Roger Kallberg,

 

my doubt, why is there a lot of difference between tomcat versions, just for that.

 

My customer received the information that version 7 of tomcat is deprecated in theory.

 

 

That’s a question that you should address to the different BUs at Cisco that develops these products. No one outside of these organisations can give you a definite answer on this.



Response Signature


Create
Recognize Your Peers
Content for Community-Ad